org.gnome.gtk

## Class StateFlags

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.gnome.gtk.StateFlags

-     public final class StateFlags
      extends org.freedesktop.bindings.Flag

  The current state of a Widget with respect to drawing and theming. Within GTK this is used for sub-elements making up a Widget, and different elements may be in different states. In practise, you only use this for rare occasions when you need to override the defaults for example background colour of a Widget. As this will conflict with the Style settings of the users theme and end up creating inconsistencies in visual appearance on the Desktop, methods using StateType should only be used with deliberate care.
  Since:
    4.0.20
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StateFlags` | `ACTIVE` A Widget that is currently active.
    `static StateFlags` | `INSENSITIVE` The Widget is not responding to events.
    `static StateFlags` | `NORMAL` The ordinary state of a Widget
    `static StateFlags` | `PRELIGHT` The mouse pointer is currently hovering over the Widget, and the Widget will be responding to mouse clicks.
    `static StateFlags` | `SELECTED` The element is selected.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ACTIVE

          public static final StateFlags ACTIVE

      A Widget that is currently active. The definition of this will vary from Widget to Widget, but a Button, for example, is active while it is depressed.

    - #### INSENSITIVE

          public static final StateFlags INSENSITIVE

      The Widget is not responding to events. See `setSensitive()` on Window for more information about this state.

    - #### NORMAL

          public static final StateFlags NORMAL

      The ordinary state of a Widget

    - #### PRELIGHT

          public static final StateFlags PRELIGHT

      The mouse pointer is currently hovering over the Widget, and the Widget will be responding to mouse clicks.

    - #### SELECTED

          public static final StateFlags SELECTED

      The element is selected. The canonical example is a row in a TreeView which has been selected; most themes show this by doing a form of reverse video, swapping foreground and background colours, etc.